Skip to main content

Create Service Request: ResMan

POSThttps://api.propexo.com/v1/service-requests/resman/
InterfaceMethod
Work Orders/WorkOrders/PostWorkOrders
Notice

Due to PMS limitations, the ID of the created record cannot be retrieved. This will be found on the next data sync.

Authentication​

  • AuthorizationBearer
    Bearer authentication of the form Bearer <token>, where token is your auth token.

Request​

This endpoint expects an object.

    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    service_request_category_idstringrequired

    The Propexo unique identifier for the service request category

    unit_idstring

    The Propexo unique identifier for the unit

    employee_idstring

    The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.

    date_createdstring<date-time>required

    The date the service request was created

    service_descriptionstringrequired

    A description of the service request

    reported_bystringrequired

    The name of the person who reported this service request

    date_duestring<date-time>

    The due date associated with the service request

    status_rawstringrequired

    The status associated with the service request

    Show 8 enum values
    SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn Hold
    date_completedstring<date-time>

    The date the service request was completed

Response​

Successful response

    meta objectrequired
    job_idstringrequired
    result objectrequired
    integration_idstringrequired

    The Propexo unique identifier for the integration

    property_idstringrequired

    The Propexo unique identifier for the property

    service_request_category_idstringrequired

    The Propexo unique identifier for the service request category

    unit_idstring | nullnullablerequired

    The Propexo unique identifier for the unit

    employee_idstring | nullnullablerequired

    The Propexo unique identifier for the employee. Please note that due to a lack of proper unique IDs in Resman, multiple duplicate employees may exist for the same actual employee. You may use any one of those duplicate record IDs for this API call.

    date_createdstring<date-time>required

    The date the service request was created

    service_descriptionstringrequired

    A description of the service request

    reported_bystringrequired

    The name of the person who reported this service request

    date_due(string | null)<date-time>nullablerequired

    The due date associated with the service request

    status_rawstringrequired

    The status associated with the service request

    Show 8 enum values
    SubmittedNot StartedIn ProgressCompletedScheduledCancelledClosedOn Hold
    date_completed(string | null)<date-time>nullablerequired

    The date the service request was completed

Errors​

  • 400Bad Request
      error objectrequired
      codestringrequired
      Example: invalid_request
      messagestringrequired
      Example: invalid request
      details object
      property name*any
      Example: {"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
POST /v1/service-requests/resman/
curl -X POST https://api.propexo.com/v1/service-requests/resman/ \
-H "Authorization: Bearer <token>" \
-H "Content-Type: application/json" \
-d '{
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"status_raw": "Submitted"
}'
200 Successful response
{
"meta": {
"job_id": "string"
},
"result": {
"integration_id": "string",
"property_id": "string",
"service_request_category_id": "string",
"unit_id": "string",
"employee_id": "string",
"date_created": "2024-07-29T15:51:28.071Z",
"service_description": "string",
"reported_by": "string",
"date_due": "2024-07-29T15:51:28.071Z",
"status_raw": "Submitted",
"date_completed": "2024-07-29T15:51:28.071Z"
}
}